Set Auto Renew
curl --request POST \
--url https://api.lumiweb.cc/proxy/v1/proxy/subscriptions/{sub_id}/auto-renew \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_renew": true
}
'import requests
url = "https://api.lumiweb.cc/proxy/v1/proxy/subscriptions/{sub_id}/auto-renew"
payload = { "auto_renew": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auto_renew: true})
};
fetch('https://api.lumiweb.cc/proxy/v1/proxy/subscriptions/{sub_id}/auto-renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"user_id": 123,
"package_title": "<string>",
"category": "<string>",
"protocol": "<string>",
"status": "<string>",
"auto_renew": true,
"purchase_price_usd": "<string>",
"traffic_gb": 123,
"traffic_gb_total": 123,
"traffic_limit_bytes": 123,
"traffic_used_bytes": 123,
"ip_quantity": 123,
"started_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"kind": "rotating",
"access_mode": "<string>",
"targeting": {
"country_iso": "<string>",
"country_name": "<string>",
"region": "<string>",
"city": "<string>",
"isp": "<string>",
"rotation_seconds": 123,
"session_mode": "<string>",
"protocol": "<string>",
"format": "<string>"
},
"capabilities": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}proxy
Set Auto Renew
POST
/
v1
/
proxy
/
subscriptions
/
{sub_id}
/
auto-renew
Set Auto Renew
Авторизации
Ключ вида lumi_proxy_… Выдаётся оператором.
Заголовки
Параметры пути
Тело
application/json
Ответ
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$'static' | 'rotating'
'api_tool' | 'legacy' - rotating subscriptions only
Geo / rotation snapshot stored on the subscription.
Show child attributes
Show child attributes
Operations this subscription supports right now (export, rotate, settings, traffic_topup, renew, auto_renew, password_reset)